import { UserCard } from "@/components/cards/UserCard";
import { NavigationToolbar } from "@/components/common/NavigationToolbar";
import { fetchUserById } from "@/lib/db";
import { notFound } from "next/navigation";

export default async function User({
  params,
}: {
  params: { id: string; type: string };
}) {
  const user = await fetchUserById(params.id);
  // if (!user) return notFound();

  return (
    <div className="flex flex-col gap-2">
      <NavigationToolbar>Inspecting Account</NavigationToolbar>
      {user && <UserCard user={user} subtitle="Associated User" />}
      update password, reset 2FA, disable / undisable (disabled if pending
      delete), delete / cancel delete
      <br />
      list active 2FA methods without keys
      <br />
      email account
    </div>
  );
}
